package market.Cm.mapper;
import java.util.List;

import market.Cm.vo.BaseCptHistory;
import market.Cm.vo.BaseCptIndex;
import market.Qms.com.vo.BaseDeliverystate;

import com.hnshituo.orm.GenericMapper;

public interface BaseCptIndexMapper extends GenericMapper<BaseCptIndex,Object> {
	
	public List<BaseCptIndex> doQueryBaseCptIndex(String condition);
	
	public String doQuaryMaxCptDate(BaseCptHistory bch);
	
	public List<BaseCptIndex> doQueryBaseCptHistory(BaseCptHistory bch);
		
	public Long doQuaryTableBy(String table_name,String prd_num,String audit_flg,String dst_item_code);
	
	public List<BaseDeliverystate> doQueryComBaseDeliveryState();
}
